%define major     5
%define libname   %mklibname %name %major
%define develname %mklibname %name -d

Name:          log4cpp
Version:       1.1.4
Release:       %mkrel 1
Summary:       C++ logging library
Group:         System/Libraries
License:       LGPLv2+
Url:           https://sourceforge.net/projects/log4cpp/
Source0:       https://sourceforge.net/projects/log4cpp/files/log4cpp-1.1.x%20%28new%29/log4cpp-1.1/%{name}-%{version}.tar.gz
# Fix errors when compiling with gcc >= 4.3
Patch0:        log4cpp-1.0-gcc43.patch
# Don't put build cflags in .pc
Patch1:        log4cpp-1.0-remove-pc-cflags.patch
# Install docs into DESTDIR
Patch2:        log4cpp-1.0-fix-doc-dest.patch
# Don't try to build snprintf.c
Patch3:        log4cpp-1.0-no-snprintf.patch
Patch4:        log4cpp-1.0-automake-1.13.patch
Patch5:        log4cpp-1.0-pthread.patch

BuildRequires: doxygen

%description
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared libraries for %{name}

%description -n %{libname}
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

%package -n %{develname}
Group:         Development/C++
Summary:       The %{name} development libraries and headers
Requires:      %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{name} - Log library for C++.

This package contains development libraries and headers for %{name}.

%package doc
Group:         Documentation
Summary:       HTML formatted API documentation for Log for C++
BuildArch:	noarch

%description doc
%{name} - Log library for C++.

This package contains the development documentation for %{name}.

%prep
%autosetup -p1 -n %{name}

# Delete non-free (but freely distributable) file under Artistic 1.0
# just to be sure we're not using it.
rm -rf src/snprintf.c
#Convert line endings.
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build
export PTHREAD_LIBS=-lpthread
autoreconf -fi -Im4
%configure --disable-static
%make_build

%install
%make_install

mv %{buildroot}%{_docdir}/log4cpp-* rpmdocs

%files -n %{libname}
%{_libdir}/liblog4cpp.so.%{major}{,.*}
%doc ChangeLog
%license COPYING

%files -n %{develname}
%{_bindir}/log4cpp-config
%{_includedir}/log4cpp
%{_libdir}/liblog4cpp.so
%{_libdir}/pkgconfig/log4cpp.pc
%{_datadir}/aclocal/log4cpp.m4
%{_mandir}/man3/log4cpp*

%files doc
%doc rpmdocs/*


%changelog
* Wed Dec 04 2024 daviddavid <daviddavid> 1.1.4-1.mga10
+ Revision: 2120869
- new version: 1.1.4

* Tue Oct 01 2024 daviddavid <daviddavid> 1.1.3-5.mga10
+ Revision: 2102220
- C99 compatibility fixes for the configure script

* Fri Mar 18 2022 umeabot <umeabot> 1.1.3-4.mga9
+ Revision: 1798421
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1514862
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.3-2.mga7
+ Revision: 1299340
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 kekepower <kekepower> 1.1.3-1.mga7
+ Revision: 1215154
- Update to version 1.1.3
- Rediffed two patches

* Fri Feb 12 2016 umeabot <umeabot> 1.1.1-5.mga6
+ Revision: 956043
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 cjw <cjw> 1.1.1-4.mga6
+ Revision: 869565
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 748410
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-2.mga5
+ Revision: 681979
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 pterjan <pterjan> 1.1.1-1.mga5
+ Revision: 640493
- 1.1.1
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- add pthread flags
- include m4
- fix build with latest automake

* Fri Nov 09 2012 fwang <fwang> 1.0-2.mga3
+ Revision: 316571
- update file list
- cleanup spec and comply library policy

* Wed Aug 03 2011 dlucio <dlucio> 1.0-1.mga2
+ Revision: 131568
- fixing document group
+ gil <gil>
- imported package log4cpp


* Wed Jul 13 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm
